// gnome.xonotic.in.ua

models/mapobjects/bluegragler/bluegraghed
{
	surfaceparm nolightmap
	{
		map models/mapobjects/bluegragler/bluegraghed.tga
		blendfunc gl_one gl_zero
	}
	{
		map models/mapobjects/bluegragler/bluegraghed_fx.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .3 1 0 .3
	}
}

models/mapobjects/bluegragler/blueild1
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/bluegragler/blueild1.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 0
	}
	{
		map models/mapobjects/bluegragler/blueild.tga
		blendfunc gl_one gl_one
		tcmod scroll 1 0
		rgbgen wave sin .3 1 0 .3
	}
}

models/mapobjects/bluegragler/blueoven
{
	surfaceparm nolightmap
	{
		map models/mapobjects/bluegragler/blueoven.tga
		blendfunc gl_one gl_zero
	}
	{
		map models/mapobjects/bluegragler/blueoven_fx.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .3 1 0 .3
	}
}

models/mapobjects/redgragler/redgraghed
{
	surfaceparm nolightmap
	{
		map models/mapobjects/redgragler/redgraghed.tga
		blendfunc gl_one gl_zero
	}
	{
		map models/mapobjects/redgragler/redgraghed_fx.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .3 1 0 .3
	}
}

models/mapobjects/redgragler/redild1
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/redgragler/redild1.tga
		blendfunc gl_one gl_one
		tcmod scroll 1 0
	}
	{
		map models/mapobjects/redgragler/redild.tga
		blendfunc gl_one gl_one
		tcmod scroll 1 0
		rgbgen wave sin .3 1 0 .3
	}
}

models/mapobjects/redgragler/redoven
{
	surfaceparm nolightmap
	{
		map models/mapobjects/redgragler/redoven.tga
		blendfunc gl_one gl_zero
	}
	{
		map models/mapobjects/redgragler/redoven_fx.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .3 1 0 .3
	}
}

models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

models/mapobjects/spotlamp/spotlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlamp/spotlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/spotlamp_l
{
	cull disable
	q3map_surfacelight 200
	{
		map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/alliance/cushionclip
{
	qer_editorimage textures/common/clip.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm nodamage
}

textures/alliance/jk_metalogo_b
{
	qer_editorimage textures/alliance/jk_metalogo.tga
	{
		map textures/sfx/proto_zzztblu2.tga
		tcmod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/alliance/jk_metalogo.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/alliance/jk_metalogo_r
{
	qer_editorimage textures/alliance/jk_metalogo.tga
	{
		map textures/sfx/proto_zzzt.tga
		tcmod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/alliance/jk_metalogo.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/alliance/redmetalsupport2fline
{
	q3map_surfacelight 100
	q3map_lightimage textures/alliance/redmetalsupport2fline_glow.tga
	qer_editorimage textures/base_wall/bluemetalsupport2fline.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/alliance/redmetalsupport2fline_glow.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1
	}
}

textures/base_door/shinymetaldoor_outside
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity
	}
	{
		map textures/base_door/shinymetaldoor_outside.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map textures/base_door/quake3sign_outside.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_floor/diamond_noisy
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/diamond2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_floor/pjgrate1
{
	surfaceparm metalsteps
	cull none
	{
		map textures/base_floor/pjgrate1.tga
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/skylight1
{
	q3map_lightimage textures/base_floor/skylight1_lm.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/skylight1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_floor/skylight1_lm.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle .2 2 0 7.7
	}
	{
		map textures/base_floor/skylight1_lm.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle .2 5 1 5.1
	}
}

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_22a_8k
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_22a.tga
	q3map_surfacelight 8000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc add
	}
}

textures/base_light/ceil1_30_8k
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_30
	q3map_surfacelight 8000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/geolight
{
	q3map_lightimage textures/base_light/geolight_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/geolight.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_light/geolight_glow.tga
		blendfunc add
		rgbgen wave sin .575 .025 0 10
	}
}

textures/base_light/proto_light_2k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 0.5 1 .1
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 5 1 3
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		tcmod scale -1 -1
		rgbgen wave triangle 1 2 0 7
	}
}

textures/base_support/cable
{
	{
		map textures/evil2_misc/mtl_grtx.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/base_support/x_support2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/x_support2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_trim/border11_250
{
	qer_editorimage textures/base_trim/border11light.tga
	q3map_surfacelight 250
	q3map_lightimage textures/base_trim/border11light.glow.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/border11light.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11light.glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 10
	}
}

textures/base_trim/pewter_shiney
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_trim/pewter_shiney.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/proto_fence
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/yellow_rustbx128
{
	{
		map textures/evil8_floor/e8warning128.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/base_wall/bluemetalsupport2c_1vent
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2c_1vent.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2e
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2e.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2f
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2f.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2fline
{
	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/bluemetalsupport2fline_glow.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetalsupport2fline_glow.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1
	}
}

textures/base_wall/glass01
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ctf/ctf_blueflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_blueflag.tga
		rgbgen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc add
		rgbgen identity
	}
	{
		map textures/ctf/ctf_blueflag.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf/ctf_redflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc add
		rgbgen identity
	}
	{
		map textures/ctf/ctf_redflag.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf/xmetal_wall_5b_b
{
	qer_editorimage textures/sfx/metalfloor_wall_5bglowblu.tga
	q3map_lightimage textures/sfx/metalfloor_wall_5bglowblu.tga
	q3map_surfacelight 50
	{
		map textures/sfx/metalfloor_wall_5b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_5bglowblu.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .2 0 .31
	}
}

textures/ctf/xmetal_wall_9b_r
{
	qer_editorimage textures/ctf/metalfloor_wall_9bglow_x.tga
	q3map_lightimage textures/sfx/metalfloor_wall_9bglow.tga
	q3map_surfacelight 50
	{
		map textures/sfx/metalfloor_wall_5b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ctf/metalfloor_wall_9bglow_x.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .2 0 .3
	}
}

textures/sfx/diamond2cjumppad
{
	qer_editorimage textures/sfx/bouncepad01_diamond2ctga.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 500
	{
		map textures/sfx/bouncepad01_diamond2ctga.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/teslacoil
{
	cull none
	q3map_lightimage textures/sfx/tesla1.tga
	qer_editorimage textures/sfx/tesla1.tga
	q3map_surfacelight 100
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/sfx/tesla1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcmod scroll -1 -1
	}
	{
		map textures/sfx/electricslime.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}
	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}
}

textures/sfx/zap_scroll1000
{
	q3map_surfacelight 1000
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_editorimage textures/sfx/zap_scroll.tga
	cull none
	{
		map textures/sfx/zap_scroll.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle .8 2 0 7
		tcmod scroll 0 1
	}
	{
		map textures/sfx/zap_scroll.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 1.4 0 5
		tcmod scale -1 1
		tcmod scroll 0 1
	}
	{
		map textures/sfx/zap_scroll2.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 1.4 0 6.3
		tcmod scale -1 1
		tcmod scroll 2 1
	}
	{
		map textures/sfx/zap_scroll2.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 1.4 0 7.7
		tcmod scroll -1.3 1
	}
}

textures/skies/jk_stars
{
	qer_editorimage textures/skies/black_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 100
	q3map_sun .6 .6 .6 30 35 78
	skyparms env/black - -
}

